Runtime

## org.eclipse.gmf.runtime.common.core.util
Class StringMatcher.Position

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.StringMatcher.Position

Enclosing class:
  StringMatcher

public static class StringMatcher.Position
extends java.lang.Object

Keeps track of the internal position of the matcher.

Constructor Summary
`StringMatcher.Position(int start, int end)` Creates a new position.

Method Summary
`int` `getEnd()` Retrieve the ending position.
`int` `getStart()` Retrieve the starting position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringMatcher.Position

    public StringMatcher.Position(int start,
                                  int end)

  Creates a new position.

Parameters:
  `start` - the start position.
  `end` - the start position.

Method Detail

### getStart

    public int getStart()

  Retrieve the starting position.

  Returns:
    the starting position.

### getEnd

    public int getEnd()

  Retrieve the ending position.

  Returns:
    the ending position.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.